Summary:	High productivity build system
Summary(pl.UTF-8):	System budowania o dużej produktywności
Name:		meson
Version:	0.44.0
Release:	1
License:	Apache v2.0
Group:		Development/Tools
#Source0Download: https://github.com/mesonbuild/meson/releases/
Source0:	https://github.com/mesonbuild/meson/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	26a7ca93ec9cea5facb365664261f9c6
Patch0:		%{name}-gtkdocdir.patch
URL:		http://mesonbuild.com/
BuildRequires:	ninja >= 1.5
BuildRequires:	python3 >= 1:3.4
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Meson is a build system designed to optimize programmer productivity.
It aims to do this by providing simple, out-of-the-box support for
modern software development tools and practices, such as unit tests,
coverage reports, Valgrind, CCache and the like.

%description -l pl.UTF-8
Meson to system budowania zaprojektowany z myślą o optymalizacji
produktywności programisty. Celem jest dostarczenie prostej, od razu
działającej obsługi nowoczesnych narzędzi i praktyk programistycznych,
takich jak testy jednostkowe, raporty pokrycia, Valgrind, CCache itp.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' \
	meson.py mesonconf.py mesonintrospect.py mesontest.py wraptool.py
%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc contributing.txt README.md
%attr(755,root,root) %{_bindir}/meson
%attr(755,root,root) %{_bindir}/mesonconf
%attr(755,root,root) %{_bindir}/mesonintrospect
%attr(755,root,root) %{_bindir}/mesontest
%attr(755,root,root) %{_bindir}/wraptool
%{_mandir}/man1/meson.1*
%{_mandir}/man1/mesonconf.1*
%{_mandir}/man1/mesonintrospect.1*
%{_mandir}/man1/mesontest.1*
%{_mandir}/man1/wraptool.1*
%{py3_sitescriptdir}/meson-%{version}-py*.egg-info
%{py3_sitescriptdir}/mesonbuild
%changelog
* Mon Dec 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/meson.git;a=log;h=master

* Mon Dec 11 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 02c20c1
- up to 0.44.0

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 943814e
- up to 0.43.0

* Tue Sep 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7e08889
- Update to 0.42.1

* Sat Jun 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 5c8fd48
- pl
- require python3 instead of /usr/bin/env

* Wed May 24 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 8cb3591
- up to 0.40.1

* Fri Apr 21 2017 Elan Ruusamäe <glen@delfi.ee> 3363984
- version macro; build deps

* Sun Apr 16 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d8c9af2
- Initial release

